List introductions
curl --request GET \
--url https://api.doozy.live/v1/introductions \
--header 'x-api-key: <api-key>'import requests
url = "https://api.doozy.live/v1/introductions"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.doozy.live/v1/introductions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.doozy.live/v1/introductions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.doozy.live/v1/introductions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.doozy.live/v1/introductions")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.doozy.live/v1/introductions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"object": "list",
"data": [
{
"object": "introduction",
"id": "H45xq8UBtUJxmSs294Gu",
"status": "active",
"frequency": "weekly",
"intro_message": "**Welcome!** _Meet your new colleague!_",
"destination": {
"type": "slack_channel",
"slack_channel_id": "C1234567890",
"exclude_user_with_values": [
{
"key": "team",
"value": "Engineering",
"match_method": "equals"
}
],
"include_user_with_values": [
{
"key": "team",
"value": "Engineering",
"match_method": "equals"
}
],
"filters": {
"group_ids": [
"<string>"
],
"manager_status": "manager",
"countries": [
"<string>"
],
"work_location_ids": [
"<string>"
],
"excluded_user_ids": [
"<string>"
]
}
},
"team_algorithm": "cross_team",
"seniority_algorithm": "none",
"location_algorithm": "none",
"tenure_algorithm": "none",
"created_at": "2024-01-15T10:30:00.000Z",
"updated_at": "2024-01-20T14:00:00.000Z",
"next_match_at": "2024-02-01T09:00:00.000Z",
"next_meet_at": "2024-02-08T09:00:00.000Z",
"next_notify_at": "2024-01-31T09:00:00.000Z",
"meta": {
"permissions": {
"can_view_results": true,
"can_clone": true,
"can_manage": true,
"can_edit": true,
"can_pause": true,
"can_resume": true,
"can_delete": true,
"can_activate": true,
"can_manage_admins": true
}
},
"type": "group",
"group_size": 2
}
],
"has_more": true,
"url": "/v1/introductions"
}{
"error": {
"type": "invalid_request_error",
"code": "resource_not_found",
"message": "No such quiz: tYYueINbgmmyss8O3LiD",
"request_id": "req_8KSh4mNxQ1aZbPoLcVrT",
"param": "id",
"doc_url": "https://docs.doozy.live/api/errors#resource_not_found"
}
}{
"error": {
"type": "invalid_request_error",
"code": "resource_not_found",
"message": "No such quiz: tYYueINbgmmyss8O3LiD",
"request_id": "req_8KSh4mNxQ1aZbPoLcVrT",
"param": "id",
"doc_url": "https://docs.doozy.live/api/errors#resource_not_found"
}
}{
"error": {
"type": "invalid_request_error",
"code": "resource_not_found",
"message": "No such quiz: tYYueINbgmmyss8O3LiD",
"request_id": "req_8KSh4mNxQ1aZbPoLcVrT",
"param": "id",
"doc_url": "https://docs.doozy.live/api/errors#resource_not_found"
}
}Introductions
List introductions
List all introductions (Doozy Roulette and Matchmaking) accessible to the authenticated user. Results are paginated and sorted by creation date (newest first). Supports filtering by type and status.
GET
/
v1
/
introductions
List introductions
curl --request GET \
--url https://api.doozy.live/v1/introductions \
--header 'x-api-key: <api-key>'import requests
url = "https://api.doozy.live/v1/introductions"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.doozy.live/v1/introductions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.doozy.live/v1/introductions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.doozy.live/v1/introductions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.doozy.live/v1/introductions")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.doozy.live/v1/introductions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"object": "list",
"data": [
{
"object": "introduction",
"id": "H45xq8UBtUJxmSs294Gu",
"status": "active",
"frequency": "weekly",
"intro_message": "**Welcome!** _Meet your new colleague!_",
"destination": {
"type": "slack_channel",
"slack_channel_id": "C1234567890",
"exclude_user_with_values": [
{
"key": "team",
"value": "Engineering",
"match_method": "equals"
}
],
"include_user_with_values": [
{
"key": "team",
"value": "Engineering",
"match_method": "equals"
}
],
"filters": {
"group_ids": [
"<string>"
],
"manager_status": "manager",
"countries": [
"<string>"
],
"work_location_ids": [
"<string>"
],
"excluded_user_ids": [
"<string>"
]
}
},
"team_algorithm": "cross_team",
"seniority_algorithm": "none",
"location_algorithm": "none",
"tenure_algorithm": "none",
"created_at": "2024-01-15T10:30:00.000Z",
"updated_at": "2024-01-20T14:00:00.000Z",
"next_match_at": "2024-02-01T09:00:00.000Z",
"next_meet_at": "2024-02-08T09:00:00.000Z",
"next_notify_at": "2024-01-31T09:00:00.000Z",
"meta": {
"permissions": {
"can_view_results": true,
"can_clone": true,
"can_manage": true,
"can_edit": true,
"can_pause": true,
"can_resume": true,
"can_delete": true,
"can_activate": true,
"can_manage_admins": true
}
},
"type": "group",
"group_size": 2
}
],
"has_more": true,
"url": "/v1/introductions"
}{
"error": {
"type": "invalid_request_error",
"code": "resource_not_found",
"message": "No such quiz: tYYueINbgmmyss8O3LiD",
"request_id": "req_8KSh4mNxQ1aZbPoLcVrT",
"param": "id",
"doc_url": "https://docs.doozy.live/api/errors#resource_not_found"
}
}{
"error": {
"type": "invalid_request_error",
"code": "resource_not_found",
"message": "No such quiz: tYYueINbgmmyss8O3LiD",
"request_id": "req_8KSh4mNxQ1aZbPoLcVrT",
"param": "id",
"doc_url": "https://docs.doozy.live/api/errors#resource_not_found"
}
}{
"error": {
"type": "invalid_request_error",
"code": "resource_not_found",
"message": "No such quiz: tYYueINbgmmyss8O3LiD",
"request_id": "req_8KSh4mNxQ1aZbPoLcVrT",
"param": "id",
"doc_url": "https://docs.doozy.live/api/errors#resource_not_found"
}
}Authorizations
Query Parameters
Response
List of introductions
Was this page helpful?